[gtk-server] Re: I can't get v1.2.2 to work

  • From: Mark Carter <mcturra2000@xxxxxxxxxxx>
  • To: gtk-server@xxxxxxxxxxxxx
  • Date: Sun, 31 Oct 2004 19:22:21 +0000

Peter van Eerten wrote:

>Okay, indeed, if you link with GTK1 and your configfile contains a 
>GTK_LIB_NAME pointing to GTK2, you will receive a segfault; that has 
>happened with me often.

AHA. When I use your 1.2 version that I just downloaded from the 
internet, it works! Exciting stuff!

>Did you run the accompanyning "configure" script in the sourcepackage 
>first? Since this script will create a Makefile for you, depending on 
>what it will encounter on your system.

I did use the configure script.

The problem appears to be that in the configure script
    pkg-config --cflags gtk+
    -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include

No doubt that this is something that I'm doing horribly wrong. My 
earlier attempt at installing GTK1 was a silly idea on my part. I'll 
need to do a little investigation to see how I might have mucked up my 

Thanks for your help in trying to sort the matter out. I'll probably 
write up what I did on the wiki so that other people who encounter 
similar problems will have more of an idea of what to do.

I tell you what, though. If I get a CLISP script working, I'll be sure 
to send it on to you.

Once again, thanks for your help.

Other related posts: